%define upstream_name    Test-Debugger
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Create Test Scripts which Generate Log Files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Have you ever tried to debug a test script that is failing tests? Without
too many modifications, your test script can generate a log file with
information about each failed test.

You can take your existing test script, and with (hopefully) very little
effort, convert it to use Test::Debugger. Then re-run your modified test
and view the log file it creates.

Object-Oriented Interface
    Test::Debugger can be run using exported subroutines, or using an
    object-oriented interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.140.0-12.mga10
+ Revision: 2200798
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-11.mga9
+ Revision: 1806093
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-10.mga8
+ Revision: 1497341
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-9.mga7
+ Revision: 1271722
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1034262
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 937433
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 936986
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 741476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 686422
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 515109
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 173884
- imported package perl-Test-Debugger


* Mon Nov 28 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
